Skip to content
Start here

Delete Stream

client.Pipelines.Streams.Delete(ctx, streamID, params) (*StreamDeleteResponse, error)
DELETE/accounts/{account_id}/pipelines/v1/streams/{stream_id}

Delete Stream in Account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
streamID string

Specifies the public ID of the stream.

maxLength32
minLength32
params StreamDeleteParams
AccountID param.Field[string]Optional

Path param: Specifies the public ID of the account.

Force param.Field[string]Optional

Query param: Delete stream forcefully, including deleting any dependent pipelines.

ReturnsExpand Collapse
type StreamDeleteResponse interface{…}

Delete Stream

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  stream, err := client.Pipelines.Streams.Delete(
    context.TODO(),
    "033e105f4ecef8ad9ca31a8372d0c353",
    pipelines.StreamDeleteParams{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", stream)
}
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}